Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This question already has an answer here:

So like the title says, Im trying to install the MATE desktop enviroment with the terminal, and I'm using the wiki instructions at http://wiki.mate-desktop.org/download - but everytime I enter "sudo apt-get install mate-core", I get stuck with this..

username@computer:~$ sudo apt-get install mate-core
Reading package lists... Done Building dependency tree        
Reading state information... Done Some packages could not be installed. This
may mean that you have requested an impossible situation or if you are
using the unstable distribution that some required packages have not
yet been created or been moved out of Incoming. The following
information may help to resolve the situation:

The following packages have unmet dependencies:  mate-core : Depends:
mate-control-center (>= 1.6.0) but it is not going to be installed
             Depends: caja (>= 1.6.0) but it is not going to be installed
             Depends: marco (>= 1.6.0) but it is not going to be installed
             Depends: mate-session-manager (>= 1.6.0) but it is not going to be installed
             Depends: mate-panel (>= 1.6.0) but it is not going to be installed
             Depends: mate-settings-daemon (>= 1.6.0) but it is not going to be installed
             Depends: mate-terminal (>= 1.6.0) but it is not going to be installed
             Depends: mate-desktop (>= 1.6.0) but it is not going to be installed
             Depends: libmatekbd (>= 1.6.0) but it is not going to be installed
             Depends: libmatedesktop (>= 1.6.0) but it is not going to be installed E: Unable to correct problems, you have held broken packages.

I'm not really sure what this means since im a complete noob with Ubuntu..can anybody help?

share|improve this question

marked as duplicate by Mitch, Kevin Bowen, Eric Carvalho, Radu Rădeanu, Luis Alvarado Aug 12 '13 at 9:38

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

add comment

1 Answer 1

This means that the other software required to install mate-core is not available on the servers. Try running theses commands: sudo add-apt-repository "deb http://packages.mate-desktop.org/repo/ubuntu precise main" && sudo apt-get update && sudo apt-get upgrade && sudo apt-get install mate-core

share|improve this answer
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.